import { Component, Config } from '@tarojs/taro';
import { ComponentClass } from 'react';
import { View, Text, Button, Input } from '@tarojs/components';

class Pay extends Component {
  config: Config = {
    navigationBarTitleText: '支付金额',
  };
  render() {
    return (
      <View className='Pay'>
        <View className='Pay-info'>
          <View className='Pay-info-item'>
            <Text>服务类型</Text>
            <Text>饮水</Text>
          </View>
          <View className='Pay-info-item'>
            <Text>设备编号</Text>
            <Text>SN100089078</Text>
          </View>
          <View className='Pay-info-item'>
            <Text>设备位置</Text>
            <Text>天信苑A幢1栋2302门口</Text>
          </View>
          <View className='Pay-info-item'>
            <Text>适用费率</Text>
            <View className='Pay-info-rate'>
              <View>
                <Text>冷水</Text>
                <Text>0.02元/100ml</Text>
              </View>
              <View>
                <Text>热水</Text>
                <Text>0.02元/100ml</Text>
              </View>
            </View>
          </View>
        </View>
        <View className='Pay-tip'>
          温馨提示：如本次预付款未全部使用，系统将在使用结束后半小时内自动退还剩余金额，请留意查收！
        </View>
        <View className='Pay-money'>
          <View className='Pay-money-item seleted'>0.50元</View>
          <View className='Pay-money-item'>1.00元</View>
          <View className='Pay-money-item'>2.00元</View>
          <View className='Pay-money-item'>5.00元</View>
          <Input className='Pay-money-item' placeholder='输入>0.5数额' />
        </View>
        <Button className='Pay-btn'>确定支付</Button>
      </View>
    );
  }
}

export default Pay as ComponentClass;
